apply plugin: 'com.android.application'

android {
    compileSdkVersion 29
    buildToolsVersion "30.0.0"

    defaultConfig {
        applicationId "net.micode.notes"
        useLibrary'org.apache.http.legacy'
        targetSdkVersion 14
        minSdkVersion 11
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
        }
    }
}

sonarqube {
    properties {
        //Sonar服务器地址
        property "sonar.host.url", "http://localhost:9000"
        //Token模式                                                        //可选择该该模式
        //property "sonar.login","07704f4ca9c20492de2b5b7814a1c0a4ebc6731c"//你的Token
        //账号密码模式
        property "sonar.login","SonarQube admin"
        property "sonar.password","SonarQube sonar"   //XXX为你的密码
        property "sonar.sourceEncoding", "UTF-8"
        property "sonar.projectKey", "XiaoMi_Notes"//你的项目名字
        property "sonar.projectName", project.name
        //需要扫描的上传检测代码的模块，可以选择也可以配置哪一些需要或者不需要上传的模块(这里指APP模块下面的java包里面的全部)
        property "sonar.sources", "src/main/java"
        property "sonar.projectVersion", project.version
    }
}